<?php 
/** 33F190D04D71-0B067FFC03A6-1810FA8DBECA 
 *  
 * SQL backup (for Joomla, WordPress, Magento, Opencart, Smarty, Coppermine, CodeIgniter or any)
 * Version: 1.6 (support sql in php 7.0)
 * Date: 24 Apr 2019
 */
set_time_limit(0);
//error_reporting(0);

if (strtoupper(substr(PHP_OS, 0, 3)) === 'WIN') {	// Windows
	define('DIRSEP', '\\');
}
else {
	// Unix
	define('DIRSEP', '/');
}
	
	
echo '<h3>SQL backup (for Joomla, WordPress, Magento, Opencart, Smarty, Coppermine, CodeIgniter or any)</h3>';

// Edit $sql_user, $sql_pass, $database if you need to backup custom SQL
$host = '';
$sql_user = '';
$sql_pass = '';
$database = '';


if ($sql_user == '' || $sql_pass == '' || $database == '')
{
    // Check for Joomla and WordPress CMS
	if (file_exists('index.php')) $indexContentArray = file('index.php');
	//print_r($indexContentArray);
	foreach ($indexContentArray as $currentLine) {
	  if (!strpos($currentLine, "blog-header.php")) continue;
	  $line = $currentLine;
	}

	if ($line || file_exists('wp-config.php')) {
		// WordPress
  		if (file_exists('wp-config.php'))
  		{
  			include('wp-config.php');
  			if (defined('DB_NAME')) $database = DB_NAME;
  			if (defined('DB_USER')) $sql_user = DB_USER;
  			if (defined('DB_PASSWORD')) $sql_pass = DB_PASSWORD;
  			if (defined('DB_HOST')) $host = DB_HOST;
  		} 
		elseif ($line) 
		{
  		  	$start = strpos($line, "/") + 1;
	        $line = substr($line, $start);
	        $line = trim(str_replace(array("'", "\"", ")", ";", "\r", "\n"), "", $line));
	        $line = str_replace(array("/", "\\"), DIRSEP, $line);
	        $pathToFile = str_replace("blog-header", "config", $line);
  		    if (file_exists($pathToFile)) 
			{
				include($pathToFile);
      			if (defined('DB_NAME')) $database = DB_NAME;
      			if (defined('DB_USER')) $sql_user = DB_USER;
      			if (defined('DB_PASSWORD')) $sql_pass = DB_PASSWORD;
      			if (defined('DB_HOST')) $host = DB_HOST;
  		    }
  		}
	}
    if (file_exists('configuration.php'))
    {
        // Joomla
        include('configuration.php');
        
        $db = new JConfig();
        $host = $db->host;
        $sql_user = $db->user;
        $sql_pass = $db->password;
        $database = $db->db;
    }   
	if (file_exists('config.php'))
    {
        // Opencart
        include('config.php');
        
        $host = DB_HOSTNAME;
        $sql_user = DB_USERNAME;
        $sql_pass = DB_PASSWORD;
        $database = DB_DATABASE;
    }
	
	if(file_exists("app" . DIRSEP . "etc" . DIRSEP . "local.xml")){
		//Magento 1
		$xml = simplexml_load_file('app/etc/local.xml') or die("Error: Cannot create object");;
		$host =  $xml->global->resources->default_setup->connection->host;
		$sql_user =  $xml->global->resources->default_setup->connection->username;
		$sql_pass =  $xml->global->resources->default_setup->connection->password;
		$database =  $xml->global->resources->default_setup->connection->dbname;
		
	}
	if(file_exists("app" . DIRSEP . "etc" . DIRSEP . "env.php")){
		//Magento 2
		$data = include_once("app/etc/env.php");
		$host =  $data['db']['connection']['default']['host'];
		$sql_user =  $data['db']['connection']['default']['username'];
		$sql_pass =  $data['db']['connection']['default']['password'];
		$database =  $data['db']['connection']['default']['dbname'];
		
	}
	if(file_exists("application" . DIRSEP . "config" . DIRSEP . "database.php")){
		// CodeIgniter
		define('BASEPATH', 'BASEPATH');
		include_once("application" . DIRSEP . "config" . DIRSEP . "database.php");
		$host =  $db['default']['hostname'];
		$sql_user =  $db['default']['username'];
		$sql_pass =  $db['default']['password'];
		$database =  $db['default']['database'];
		
	}
	if(file_exists("include" . DIRSEP . "config.inc.php")){
		// Coppermine
		include_once("include" . DIRSEP . "config.inc.php");
		$host =  HOST;
		$sql_user =  USER;
		$sql_pass =  PASSWORD;
		$database =  DATABASE;
		
	}
	if(file_exists("includes" . DIRSEP . "configure.php")){
		// Smarty
		include_once("includes" . DIRSEP . "configure.php");
		$host =  DB_SERVER;
		$sql_user =  DB_SERVER_USERNAME;
		$sql_pass =  DB_SERVER_PASSWORD;
		$database =  DB_DATABASE;
		
	}
    
    if (file_exists("sites" . DIRSEP . "default" . DIRSEP . "settings.php"))
    {
		// Drupal
        include_once("sites" . DIRSEP . "default" . DIRSEP . "settings.php");
        
        $host       =  $databases['default']['default']['host'];
        $sql_user   =  $databases['default']['default']['username'];
        $sql_pass   =  $databases['default']['default']['password'];
        $database   =  $databases['default']['default']['database'];
    }
    
	if(file_exists("config" . DIRSEP . "settings.inc.php")){
				
		// Prestashop
		
		include_once("config" . DIRSEP . "settings.inc.php");
		$host =  _DB_SERVER_;
		$sql_user =  _DB_USER_;
		$sql_pass =  _DB_PASSWD_;
		$database =  _DB_NAME_;
		
	}	
	
}
	echo 'Host: '.$host."<br>";
	echo 'User: '.$sql_user."<br>";
	echo 'Pass: '.$sql_pass."<br>";
	echo 'DB: '.$database."<br><br>";


if ($host == '' || $sql_user == '' || $sql_pass == '' || $database == '')
{
    echo '<p style="color: red"><b>Not enough access details.</b></p>';
    exit;
}





if(function_exists('mysql_connect')){
	$db_id = @mysql_connect( $host, $sql_user, $sql_pass );
	mysql_select_db ($database);
} 

if (!$db_id)
{
    
    $i_connect = @mysqli_connect($host, $sql_user, $sql_pass, $database);
	if(!$i_connect) {
		echo '<p style="color: red"><b>Cant connect to DB.</b></p>';
		exit;
	}
}


// Start dumping

$secret_code = date("Y_m-d__Hi")."__".md5(mt_rand());
$sql_filename = "file_".$secret_code.".sql";
$sql_file = dirname(__FILE__).'/'.$sql_filename;
    echo '<h4>Using MySQLdump method...</h4>';
$result=exec('mysqldump '.$database.' --password='.$sql_pass.' --user='.$sql_user.' --host='.$host.' --single-transaction >'.$sql_file, $output);


sleep(3);

if (file_exists($sql_filename) && filesize($sql_filename) > 10000)
{
	
	echo 'Finished. '.date("Y-m-d H:i:s")."<br><br>";
	echo 'File size: '.round(filesize($sql_file)/1024/1024, 2)." Mb<br>";
	echo 'SQL file. <a href="http://'.$_SERVER['HTTP_HOST'].'/'.$sql_filename.'">http://'.$_SERVER['HTTP_HOST'].'/'.$sql_filename.'</a><br><br>'; 
}
else {
    echo '<p style="color: red">Failed : <b>'.$output.'</b></p>';
    
    // Try method 2
    echo '<h4>Using Adminer method..</h4>';
	define('DUMP_FILENAME', $sql_filename);
	define('SERVER', $host);
	define('USERNAME', $sql_user);
	define('PASSWORD', $sql_pass);
	define('DB', $database);

	/** Get connection charset
	* @param Min_DB
	* @return string
	*/
	function charset($connection) {
		return (version_compare($connection->server_info, "5.5.3") >= 0 ? "utf8mb4" : "utf8"); // SHOW CHARSET would require an extra query
	}


	/** Shortcut for $connection->quote($string)
	* @param string
	* @return string
	*/
	function q($string) {
		global $connection;
		return $connection->quote($string);
	}


	/** Get keys from first column and values from second
	* @param string
	* @param Min_DB
	* @param float
	* @return array
	*/
	function get_key_vals($query, $connection2 = null, $timeout = 0) {
		global $connection;
		if (!is_object($connection2)) {
			$connection2 = $connection;
		}
		$return = array();
		$connection2->timeout = $timeout;
		$result = $connection2->query($query);
		$connection2->timeout = 0;
		if (is_object($result)) {
			while ($row = $result->fetch_row()) {
				$return[$row[0]] = $row[1];
			}
		}
		return $return;
	}

	/** Get all rows of result
	* @param string
	* @param Min_DB
	* @param string
	* @return array associative
	*/
	function get_rows($query, $connection2 = null, $error = "<p class='error'>") {
		global $connection;
		$conn = (is_object($connection2) ? $connection2 : $connection);
		$return = array();
		$result = $conn->query($query);
		if (is_object($result)) { // can return true
			while ($row = $result->fetch_assoc()) {
				$return[] = $row;
			}
		} elseif (!$result && !is_object($connection2) && $error && defined("PAGE_HEADER")) {
			echo $error . "\n";
		}
		return $return;
	}

	/** Get select clause for convertible fields
	* @param array
	* @param array
	* @param array
	* @return string
	*/
	function convert_fields($columns, $fields, $select = array()) {
		$return = "";
		foreach ($columns as $key => $val) {
			if ($select && !in_array(idf_escape($key), $select)) {
				continue;
			}
			$as = convert_field($fields[$key]);
			if ($as) {
				$return .= ", $as AS " . idf_escape($key);
			}
		}
		return $return;
	}

	/** Print CSV row
	* @param array
	* @return null
	*/
	function dump_csv($row) {
		foreach ($row as $key => $val) {
			if (preg_match("~[\"\n,;\t]~", $val) || $val === "") {
				$row[$key] = '"' . str_replace('"', '""', $val) . '"';
			}
		}
		echo implode(($_POST["format"] == "csv" ? "," : ($_POST["format"] == "tsv" ? "\t" : ";")), $row) . "\r\n";
	}
	
	/** Escape database identifier
	* @param string
	* @return string
	*/
	function idf_escape($idf) {
		return "`" . str_replace("`", "``", $idf) . "`";
	}

	/** Get escaped table name
	* @param string
	* @return string
	*/
	function table($idf) {
		return idf_escape($idf);
	}

	/** Connect to the database
	* @return mixed Min_DB or string for error
	*/
	function connect() {
		global $adminer;
		$connection = new Min_DB;
		$credentials = $adminer->credentials();
		if ($connection->connect($credentials[0], $credentials[1], $credentials[2])) {
			$connection->set_charset(charset($connection)); // available in MySQLi since PHP 5.0.5
			$connection->query("SET sql_quote_show_create = 1, autocommit = 1");
			return $connection;
		}
		$return = $connection->error;
		if (function_exists('iconv') && !is_utf8($return) && strlen($s = iconv("windows-1250", "utf-8", $return)) > strlen($return)) { // windows-1250 - most common Windows encoding
			$return = $s;
		}
		return $return;
	}

	/** Get tables list
	* @return array array($name => $type)
	*/
	function tables_list() {
		global $connection;
		return get_key_vals($connection->server_info >= 5
			? "SELECT TABLE_NAME, TABLE_TYPE FROM information_schema.TABLES WHERE TABLE_SCHEMA = DATABASE() ORDER BY TABLE_NAME"
			: "SHOW TABLES"
		);
	}

	/** Get table status
	* @param string
	* @param bool return only "Name", "Engine" and "Comment" fields
	* @return array array($name => array("Name" => , "Engine" => , "Comment" => , "Oid" => , "Rows" => , "Collation" => , "Auto_increment" => , "Data_length" => , "Index_length" => , "Data_free" => )) or only inner array with $name
	*/
	function table_status($name = "", $fast = false) {
		global $connection;
		$return = array();
		foreach (get_rows($fast && $connection->server_info >= 5
			? "SELECT TABLE_NAME AS Name, Engine, TABLE_COMMENT AS Comment FROM information_schema.TABLES WHERE TABLE_SCHEMA = DATABASE() " . ($name != "" ? "AND TABLE_NAME = " . q($name) : "ORDER BY Name")
			: "SHOW TABLE STATUS" . ($name != "" ? " LIKE " . q(addcslashes($name, "%_\\")) : "")
		) as $row) {
			if ($row["Engine"] == "InnoDB") {
				// ignore internal comment, unnecessary since MySQL 5.1.21
				$row["Comment"] = preg_replace('~(?:(.+); )?InnoDB free: .*~', '\\1', $row["Comment"]);
			}
			if (!isset($row["Engine"])) {
				$row["Comment"] = "";
			}
			if ($name != "") {
				return $row;
			}
			$return[$row["Name"]] = $row;
		}
		return $return;
	}

	/** Find out whether the identifier is view
	* @param array
	* @return bool
	*/
	function is_view($table_status) {
		return $table_status["Engine"] === null;
	}

	/** Get information about fields
	* @param string
	* @return array array($name => array("field" => , "full_type" => , "type" => , "length" => , "unsigned" => , "default" => , "null" => , "auto_increment" => , "on_update" => , "collation" => , "privileges" => , "comment" => , "primary" => ))
	*/
	function fields($table) {
		$return = array();
		foreach (get_rows("SHOW FULL COLUMNS FROM " . table($table)) as $row) {
			preg_match('~^([^( ]+)(?:\\((.+)\\))?( unsigned)?( zerofill)?$~', $row["Type"], $match);
			$return[$row["Field"]] = array(
				"field" => $row["Field"],
				"full_type" => $row["Type"],
				"type" => $match[1],
				"length" => $match[2],
				"unsigned" => ltrim($match[3] . $match[4]),
				"default" => ($row["Default"] != "" || preg_match("~char|set~", $match[1]) ? $row["Default"] : null),
				"null" => ($row["Null"] == "YES"),
				"auto_increment" => ($row["Extra"] == "auto_increment"),
				"on_update" => (preg_match('~^on update (.+)~i', $row["Extra"], $match) ? $match[1] : ""), //! available since MySQL 5.1.23
				"collation" => $row["Collation"],
				"privileges" => array_flip(preg_split('~, *~', $row["Privileges"])),
				"comment" => $row["Comment"],
				"primary" => ($row["Key"] == "PRI"),
			);
		}
		return $return;
	}

	
	/** Get SQL command to create table
	* @param string
	* @param bool
	* @return string
	*/
	function create_sql($table, $auto_increment) {
		global $connection;
		$return = $connection->result("SHOW CREATE TABLE " . table($table), 1);
		if (!$auto_increment) {
			$return = preg_replace('~ AUTO_INCREMENT=\\d+~', '', $return); //! skip comments
		}
		return $return;
	}
	
	/** Convert field in select and edit
	* @param array one element from fields()
	* @return string
	*/
	function convert_field($field) {
		if (preg_match("~binary~", $field["type"])) {
			return "HEX(" . idf_escape($field["field"]) . ")";
		}
		if ($field["type"] == "bit") {
			return "BIN(" . idf_escape($field["field"]) . " + 0)"; // + 0 is required outside MySQLnd
		}
		if (preg_match("~geometry|point|linestring|polygon~", $field["type"])) {
			return "AsWKT(" . idf_escape($field["field"]) . ")";
		}
	}

	/** Convert value in edit after applying functions back
	* @param array one element from fields()
	* @param string
	* @return string
	*/
	function unconvert_field($field, $return) {
		if (preg_match("~binary~", $field["type"])) {
			$return = "UNHEX($return)";
		}
		if ($field["type"] == "bit") {
			$return = "CONV($return, 2, 10) + 0";
		}
		if (preg_match("~geometry|point|linestring|polygon~", $field["type"])) {
			$return = "GeomFromText($return)";
		}
		return $return;
	}
	
	

	/** Remove current user definer from SQL command
	 * @param string
	 * @return string
	 */
	function remove_definer($query) {
		return preg_replace('~^([A-Z =]+) DEFINER=`' . preg_replace('~@(.*)~', '`@`(%|\\1)', logged_user()) . '`~', '\\1', $query); //! proper escaping of user
	}


	/** Print SET NAMES if utf8mb4 might be needed
	* @param string
	* @return null
	*/
	function set_utf8mb4($create) {
	  global $connection;
		static $set = false;
		if (!$set && preg_match('~\butf8mb4~i', $create)) { // possible false positive
			$set = true;
			file_put_contents(DUMP_FILENAME, "SET NAMES " . charset($connection) . ";\n\n", FILE_APPEND);
		}
	}

	
	// PDO can be used in several database drivers
	if (extension_loaded('pdo')) {
		/*abstract*/ class Min_PDO extends PDO {
			var $_result, $server_info, $affected_rows, $errno, $error;
			
			function __construct() {
				global $adminer;
				$pos = array_search("SQL", $adminer->operators);
				if ($pos !== false) {
					unset($adminer->operators[$pos]);
				}
			}
			
			function dsn($dsn, $username, $password) {
				try {
					parent::__construct($dsn, $username, $password);
				} catch (Exception $ex) {
					auth_error($ex->getMessage());
				}
				$this->setAttribute(13, array('Min_PDOStatement')); // 13 - PDO::ATTR_STATEMENT_CLASS
				$this->server_info = $this->getAttribute(4); // 4 - PDO::ATTR_SERVER_VERSION
			}
			

			function store_result($result = null) {
				if (!$result) {
					$result = $this->_result;
					if (!$result) {
						return false;
					}
				}
				if ($result->columnCount()) {
					$result->num_rows = $result->rowCount(); // is not guaranteed to work with all drivers
					return $result;
				}
				$this->affected_rows = $result->rowCount();
				return true;
			}
			
				
			
			function query($query, $unbuffered = false) {
				$result = parent::query($query);
				$this->error = "";
				if (!$result) {
					list(, $this->errno, $this->error) = $this->errorInfo();
					return false;
				}
				$this->store_result($result);
				return $result;
			}

			function result($query, $field = 0) {
				$result = $this->query($query);
				if (!$result) {
					return false;
				}
				$row = $result->fetch();
				return $row[$field];
			}
		}
		
		class Min_PDOStatement extends PDOStatement {
			var $_offset = 0, $num_rows;
			
			function fetch_assoc() {
				return $this->fetch(2); // PDO::FETCH_ASSOC
			}
			
			function fetch_row() {
				return $this->fetch(3); // PDO::FETCH_NUM
			}
			
			function fetch_field() {	
				$row = (object) $this->getColumnMeta($this->_offset++);
				$row->orgtable = $row->table;
				$row->orgname = $row->name;
				$row->charsetnr = (in_array("blob", (array) $row->flags) ? 63 : 0);
				return $row;
			}
		}

	}


	if (extension_loaded("mysqli")) {
		$VERSION = 'Ext: MYSQLI';
		class Min_DB extends MySQLi {
			var $extension = "MySQLi";

			function __construct() {
				parent::init();
			}

			function connect($server = "", $username = "", $password = "", $database = null, $port = null, $socket = null) {
				mysqli_report(MYSQLI_REPORT_OFF); // stays between requests, not required since PHP 5.3.4
				list($host, $port) = explode(":", $server, 2); // part after : is used for port or socket
				$return = @$this->real_connect(
					($server != "" ? $host : ini_get("mysqli.default_host")),
					($server . $username != "" ? $username : ini_get("mysqli.default_user")),
					($server . $username . $password != "" ? $password : ini_get("mysqli.default_pw")),
					$database,
					(is_numeric($port) ? $port : ini_get("mysqli.default_port")),
					(!is_numeric($port) ? $port : $socket)
				);
				return $return;
			}

			function set_charset($charset) {
				if (parent::set_charset($charset)) {
					return true;
				}
				// the client library may not support utf8mb4
				parent::set_charset('utf8');
				return $this->query("SET NAMES $charset");
			}

			function result($query, $field = 0) {
				$result = $this->query($query);
				if (!$result) {
					return false;
				}
				$row = $result->fetch_array();
				return $row[$field];
			}
			
			function quote($string) {
				return "'" . $this->escape_string($string) . "'";
			}
		}

	} elseif (extension_loaded("mysql") && !(ini_get("sql.safe_mode") && extension_loaded("pdo_mysql"))) {
		$VERSION = 'Ext: MYSQL';
		class Min_DB {
			var
				$extension = "MySQL", ///< @var string extension name
				$server_info, ///< @var string server version
				$affected_rows, ///< @var int number of affected rows
				$errno, ///< @var int last error code
				$error, ///< @var string last error message
				$_link, $_result ///< @access private
			;

			/** Connect to server
			* @param string
			* @param string
			* @param string
			* @return bool
			*/
			function connect($server, $username, $password) {
				$this->_link = @mysql_connect(
					($server != "" ? $server : ini_get("mysql.default_host")),
					("$server$username" != "" ? $username : ini_get("mysql.default_user")),
					("$server$username$password" != "" ? $password : ini_get("mysql.default_password")),
					true,
					131072 // CLIENT_MULTI_RESULTS for CALL
				);
				if ($this->_link) {
					$this->server_info = mysql_get_server_info($this->_link);
				} else {
					$this->error = mysql_error();
				}
				return (bool) $this->_link;
			}

			/** Sets the client character set
			* @param string
			* @return bool
			*/
			function set_charset($charset) {
				if (function_exists('mysql_set_charset')) {
					if (mysql_set_charset($charset, $this->_link)) {
						return true;
					}
					// the client library may not support utf8mb4
					mysql_set_charset('utf8', $this->_link);
				}
				return $this->query("SET NAMES $charset");
			}

			/** Quote string to use in SQL
			* @param string
			* @return string escaped string enclosed in '
			*/
			function quote($string) {
				return "'" . mysql_real_escape_string($string, $this->_link) . "'";
			}

			/** Select database
			* @param string
			* @return bool
			*/
			function select_db($database) {
				return mysql_select_db($database, $this->_link);
			}

			/** Send query
			* @param string
			* @param bool
			* @return mixed bool or Min_Result
			*/
			function query($query, $unbuffered = false) {
				$result = @($unbuffered ? mysql_unbuffered_query($query, $this->_link) : mysql_query($query, $this->_link)); // @ - mute mysql.trace_mode
				$this->error = "";
				if (!$result) {
					$this->errno = mysql_errno($this->_link);
					$this->error = mysql_error($this->_link);
					return false;
				}
				if ($result === true) {
					$this->affected_rows = mysql_affected_rows($this->_link);
					$this->info = mysql_info($this->_link);
					return true;
				}
				return new Min_Result($result);
			}


			/** Get single field from result
			* @param string
			* @param int
			* @return string
			*/
			function result($query, $field = 0) {
				$result = $this->query($query);
				if (!$result || !$result->num_rows) {
					return false;
				}
				return mysql_result($result->_result, 0, $field);
			}
		}

		class Min_Result {
			var
				$num_rows, ///< @var int number of rows in the result
				$_result, $_offset = 0 ///< @access private
			;

			/** Constructor
			* @param resource
			*/
			function __construct($result) {
				$this->_result = $result;
				$this->num_rows = mysql_num_rows($result);
			}

			/** Fetch next row as associative array
			* @return array
			*/
			function fetch_assoc() {
				return mysql_fetch_assoc($this->_result);
			}

			/** Fetch next row as numbered array
			* @return array
			*/
			function fetch_row() {
				return mysql_fetch_row($this->_result);
			}

			/** Fetch next field
			* @return object properties: name, type, orgtable, orgname, charsetnr
			*/
			function fetch_field() {
				$return = mysql_fetch_field($this->_result, $this->_offset++); // offset required under certain conditions
				$return->orgtable = $return->table;
				$return->orgname = $return->name;
				$return->charsetnr = ($return->blob ? 63 : 0);
				return $return;
			}

			/** Free result set
			*/
			function __destruct() {
				mysql_free_result($this->_result);
			}
		}

	} elseif (extension_loaded("pdo_mysql")) {
		$VERSION = 'Ext: PDO';
		class Min_DB extends Min_PDO {
			var $extension = "PDO_MySQL";

			function connect($server, $username, $password) {
				$this->dsn("mysql:charset=utf8;host=" . str_replace(":", ";unix_socket=", preg_replace('~:(\\d)~', ';port=\\1', $server)), $username, $password);
				return true;
			}

			function set_charset($charset) {
				$this->query("SET NAMES $charset"); // charset in DSN is ignored before PHP 5.3.6
			}

			function select_db($database) {
				// database selection is separated from the connection so dbname in DSN can't be used
				return $this->query("USE " . idf_escape($database));
			}

			function query($query, $unbuffered = false) {
				$this->setAttribute(1000, !$unbuffered); // 1000 - PDO::MYSQL_ATTR_USE_BUFFERED_QUERY
				return parent::query($query, $unbuffered);
			}
		}

	} else {
		echo '<p style="color: red">Necessary extension not found!</p>';
		exit;
	}


	class Adminer {
		/** @var array operators used in select, null for all operators */
		var $operators;


		/** Connection parameters
		* @return array ($server, $username, $password)
		*/
		function credentials() {
			return array(SERVER, USERNAME, PASSWORD);
		}

		/** Export table structure
		* @param string
		* @param string
		* @param int 0 table, 1 view, 2 temporary view table
		* @return null prints data
		*/
		function dumpTable($table, $style, $is_view = 0) {
			if ($_POST["format"] != "sql") {
						file_put_contents(DUMP_FILENAME, "\xef\xbb\xbf", FILE_APPEND);
				if ($style) {
					dump_csv(array_keys(fields($table)));
				}
			} else {
				if ($is_view == 2) {
					$fields = array();
					foreach (fields($table) as $name => $field) {
						$fields[] = idf_escape($name) . " $field[full_type]";
					}
					$create = "CREATE TABLE " . table($table) . " (" . implode(", ", $fields) . ")";
				} else {
					$create = create_sql($table, $_POST["auto_increment"]);
				}
				set_utf8mb4($create);
				if ($style && $create) {
					if ($style == "DROP+CREATE" || $is_view == 1) {
						file_put_contents(DUMP_FILENAME, "DROP " . ($is_view == 2 ? "VIEW" : "TABLE") . " IF EXISTS " . table($table) . ";\n", FILE_APPEND);
					}
					if ($is_view == 1) {
						$create = remove_definer($create);
					}
					file_put_contents(DUMP_FILENAME, "$create;\n\n", FILE_APPEND);
				}
			}
		}

		/** Export table data
		* @param string
		* @param string
		* @param string
		* @return null prints data
		*/
		function dumpData($table, $style, $query) {
			global $connection, $jush;
			$max_packet = ($jush == "sqlite" ? 0 : 1048576); // default, minimum is 1024
			if ($style) {
				if ($_POST["format"] == "sql") {
					if ($style == "TRUNCATE+INSERT") {
						file_put_contents(DUMP_FILENAME, truncate_sql($table) . ";\n", FILE_APPEND);
					}
					$fields = fields($table);
				}
				$result = $connection->query($query, 1); // 1 - MYSQLI_USE_RESULT //! enum and set as numbers
				if ($result) {
					$insert = "";
					$buffer = "";
					$keys = array();
					$suffix = "";
					$fetch_function = ($table != '' ? 'fetch_assoc' : 'fetch_row');
					while ($row = $result->$fetch_function()) {
						if (!$keys) {
							$values = array();
							foreach ($row as $val) {
								$field = $result->fetch_field();
								$keys[] = $field->name;
								$key = idf_escape($field->name);
								$values[] = "$key = VALUES($key)";
							}
							$suffix = ($style == "INSERT+UPDATE" ? "\nON DUPLICATE KEY UPDATE " . implode(", ", $values) : "") . ";\n";
						}
						if ($_POST["format"] != "sql") {
							if ($style == "table") {
								dump_csv($keys);
								$style = "INSERT";
							}
							dump_csv($row);
						} else {
							if (!$insert) {
								$insert = "INSERT INTO " . table($table) . " (" . implode(", ", array_map('idf_escape', $keys)) . ") VALUES";
							}
							foreach ($row as $key => $val) {
								$field = $fields[$key];
								$row[$key] = ($val !== null
									? unconvert_field($field, preg_match('~(^|[^o])int|float|double|decimal~', $field["type"]) && $val != '' ? $val : q($val))
									: "NULL"
								);
							}
							$s = ($max_packet ? "\n" : " ") . "(" . implode(",\t", $row) . ")";
							if (!$buffer) {
								$buffer = $insert . $s;
							} elseif (strlen($buffer) + 4 + strlen($s) + strlen($suffix) < $max_packet) { // 4 - length specification
								$buffer .= ",$s";
							} else {
								file_put_contents(DUMP_FILENAME, $buffer . $suffix, FILE_APPEND);
								$buffer = $insert . $s;
							}
						}
					}
					if ($buffer) {
						file_put_contents(DUMP_FILENAME, $buffer . $suffix, FILE_APPEND);
					}
				} elseif ($_POST["format"] == "sql") {
					file_put_contents(DUMP_FILENAME, "-- " . str_replace("\n", " ", $connection->error) . "\n", FILE_APPEND);
				}
			}
		}

		/** Set export filename
		* @param string
		* @return string filename without extension
		*/
		function dumpFilename($identifier) {
			return friendly_url($identifier != "" ? $identifier : (SERVER != "" ? SERVER : "localhost"));
		}

	}

	$adminer = new Adminer;

	$connection = connect();
	$connection->select_db(DB);
	$tables = tables_list();

	$_POST = array(
		'output' => 'text',
		'format' => 'sql',
		'table_style' => 'DROP+CREATE',
		'data_style' => 'INSERT',
		'tables' => array_keys($tables),
		'data' => array_keys($tables),
	);

	
	file_put_contents(DUMP_FILENAME, '');


	if ($_POST && !$error) {
		$cookie = "";
		foreach (array("output", "format", "db_style", "table_style", "auto_increment", "triggers", "data_style") as $key) {
			$cookie .= "&$key=" . urlencode($_POST[$key]);
		}

		$tables = array_flip((array) $_POST["tables"]) + array_flip((array) $_POST["data"]);
		$is_sql = preg_match('~sql~', $_POST["format"]);

		if ($is_sql) {
			file_put_contents(DUMP_FILENAME, "-- Adminer Mysql DB dump. $VERSION\n\n", FILE_APPEND);
				file_put_contents(DUMP_FILENAME, "SET NAMES utf8;
	SET time_zone = '+00:00';
	" . ($_POST["data_style"] ? "SET foreign_key_checks = 0;
	SET sql_mode = 'NO_AUTO_VALUE_ON_ZERO';
	" : "") . "
	", FILE_APPEND);
				$connection->query("SET time_zone = '+00:00';");

		}

		$databases = array(DB);
		if (DB == "") {
			$databases = $_POST["databases"];
			if (is_string($databases)) {
				$databases = explode("\n", rtrim(str_replace("\r", "", $databases), "\n"));
			}
		}

		foreach ((array) $databases as $db) {

			if ($connection->select_db($db)) {

				if ($_POST["table_style"] || $_POST["data_style"]) {
					$views = array();
					foreach (table_status('', true) as $name => $table_status) {
						$table = (DB == "" || in_array($name, (array) $_POST["tables"]));
						$data = (DB == "" || in_array($name, (array) $_POST["data"]));
						if ($table || $data) {
							$adminer->dumpTable($name, ($table ? $_POST["table_style"] : ""), (is_view($table_status) ? 2 : 0));
							if (is_view($table_status)) {
								$views[] = $name;
							} elseif ($data) {
								$fields = fields($name);
								$adminer->dumpData($name, $_POST["data_style"], "SELECT *" . convert_fields($fields, $fields) . " FROM " . table($name));
							}
							if ($is_sql) {
								file_put_contents(DUMP_FILENAME, "\n", FILE_APPEND);
							}
						}
					}

					foreach ($views as $view) {
						$adminer->dumpTable($view, $_POST["table_style"], 1);
					}

				}
			}
		}

		if ($is_sql) {
			file_put_contents(DUMP_FILENAME, "-- " . $connection->result("SELECT NOW()") . "\n", FILE_APPEND);
		}
		sleep(1);
	if (file_exists($sql_file) && filesize($sql_file) > 10000){

	echo 'Finished. '.date("Y-m-d H:i:s")."<br><br>";
	echo 'File size: '.round(filesize($sql_filename)/1024/1024, 2)." Mb<br>";
	echo 'SQL file. <a href="http://'.$_SERVER['HTTP_HOST'].'/'.$sql_filename.'">http://'.$_SERVER['HTTP_HOST'].'/'.$sql_filename.'</a><br><br>'; 
	} else {
		echo $sql_filename;
		echo '<p style="color: red">Something is bad. Errors in both of methods</p>';
	}
		exit;
	}

}