<?php
/**
 * This file is used to add metabox in case of Gutenberg Editor.
 *
 * @package gallery-bank/lib
 */

/**
 * This function is used to get unserialized data.
 *
 * @param string $type .
 * @param string $meta_key .
 */
function get_unserialize_data_gallery_bank( $type, $meta_key ) {
	global $wpdb;
	$manage_data               = $wpdb->get_results(
		$wpdb->prepare(
			'SELECT * FROM ' . $wpdb->prefix . 'gallery_bank_meta WHERE ' . $type . ' ORDER BY meta_id DESC',
			$meta_key
		)
	);// WPCS: PreparedSQLPlaceholders replacement count ok,db call ok; no-cache ok, unprepared SQL OK.
	$unserialize_complete_data = array();
	foreach ( $manage_data as $value ) {
		$unserialize_data            = maybe_unserialize( $value->meta_value );
		$unserialize_data['id']      = $value->id;
		$unserialize_data['meta_id'] = $value->meta_id;
		array_push( $unserialize_complete_data, $unserialize_data );
	}
	return $unserialize_complete_data;
}

/**
 * This function is used to return the unserialized data.
 *
 * @param string $type .
 * @param string $meta_key .
 */
function get_unserialize_gallery_data_gallery_bank( $type, $meta_key ) {
	global $wpdb;
	$manage_data                       = $wpdb->get_results(
		$wpdb->prepare(
			'SELECT * FROM ' . $wpdb->prefix . 'gallery_bank_meta WHERE ' . $type . ' ORDER BY meta_id DESC',
			$meta_key
		)
	);// WPCS: PreparedSQLPlaceholders replacement count ok,db call ok; no-cache ok, unprepared SQL OK.
	$unserialize_complete_gallery_data = array();
	foreach ( $manage_data as $value ) {
		$unserialize_data            = maybe_unserialize( $value->meta_value );
		$unserialize_data['id']      = $value->id;
		$unserialize_data['meta_id'] = $value->old_gallery_id;
		array_push( $unserialize_complete_gallery_data, $unserialize_data );
	}
	return $unserialize_complete_gallery_data;
}

/**
 * This function is used to get meta value.
 *
 * @param string $meta_key .
 */
function get_meta_value_gallery_bank( $meta_key ) {
	global $wpdb;
	$meta_value = $wpdb->get_var(
		$wpdb->prepare(
			'SELECT meta_value FROM ' . $wpdb->prefix . 'gallery_bank_meta WHERE meta_key = %s',
			$meta_key
		)
	);// WPCS: db call ok; no-cache ok.
	return maybe_unserialize( $meta_value );
}
$global_options_get_data         = get_meta_value_gallery_bank( 'global_options_settings' );
$image_dimensions                = isset( $global_options_get_data['global_options_generated_image_dimensions'] ) ? explode( ',', $global_options_get_data['global_options_generated_image_dimensions'] ) : array( '1600', '900' );
$thumbnail_layout_get_data       = get_unserialize_gallery_data_gallery_bank( 'meta_key = %s', 'gallery_data' );
$thumbnail_layout_get_album_data = get_unserialize_data_gallery_bank( 'meta_key = %s', 'album_data' );

?>
<style>
.col-md-6 {
	width: 46% !important;
	}
</style>
<div class="form-body">
	<div class="row">
	<div class="col-md-6">
		<div class="form-group">
			<label class="control-label">
				<?php echo esc_attr( __( 'Source Type', 'gallery-bank' ) ); ?> :
			<span class="required" aria-required="true">*</span>
		</label>
		<select id="ux_ddl_choose_type" name="ux_ddl_choose_type" class="form-control" onchange="shortcode_source_type_control_gallery_bank('ux_ddl_choose_type', 'ux_div_gallery', 'ux_div_album', 'ux_album_title_description_div');">
			<option value="gallery"><?php echo esc_attr( __( 'Gallery', 'gallery-bank' ) ); ?></option>
			<option value="album" style="color:red;"><?php echo esc_attr( __( 'Album', 'gallery-bank' ) ); ?> ( <?php echo esc_attr( __( 'Premium Editions', 'gallery-bank' ) ); ?> )</option>
		</select>
		<i class="controls-description"><?php echo esc_attr( __( 'Choose Source Type to generate shortcode', 'gallery-bank' ) ); ?></i>
	</div>
</div>
<div class="col-md-6">
	<div class="form-group" id="ux_div_gallery">
		<label class="control-label">
			<?php echo esc_attr( __( 'Choose Gallery', 'gallery-bank' ) ); ?> :
			<span class="required" aria-required="true">*</span>
		</label>
		<select id="ux_ddl_choose_gallery" name="ux_ddl_choose_gallery" class="form-control">
			<option value=""><?php echo esc_attr( __( 'Choose Gallery', 'gallery-bank' ) ); ?></option>
			<?php
			foreach ( $thumbnail_layout_get_data as $value ) {
				?>
				<option value="<?php echo intval( $value['meta_id'] ); ?>"><?php echo isset( $value['gallery_title'] ) && '' !== $value['gallery_title'] ? esc_attr( $value['gallery_title'] ) : esc_attr( __( 'Untitled Gallery', 'gallery-bank' ) ); ?></option>
				<?php
			}
			?>
		</select>
		<i class="controls-description"><?php echo esc_attr( __( 'Choose a Gallery to generate shortcode', 'gallery-bank' ) ); ?></i>
	</div>
	<div class="form-group" id="ux_div_album">
		<label class="control-label">
				<?php echo esc_attr( __( 'Choose Album', 'gallery-bank' ) ); ?> :
				<span class="required" aria-required="true">* ( <?php echo esc_attr( __( 'Premium Editions', 'gallery-bank' ) ); ?> )</span>
			</label>
			<select id="ux_ddl_choose_album" name="ux_ddl_choose_album" class="form-control">
				<option value=""><?php echo esc_attr( __( 'Choose Album', 'gallery-bank' ) ); ?></option>
				<?php
				foreach ( $thumbnail_layout_get_album_data as $value ) {
					?>
					<option value="<?php echo intval( $value['meta_id'] ); ?>"><?php echo isset( $value['album_name'] ) && '' !== $value['album_name'] ? esc_attr( $value['album_name'] ) : esc_attr( __( 'Untitled Album', 'gallery-bank' ) ); ?></option>
					<?php
				}
				?>
			</select>
			<i class="controls-description"><?php echo esc_attr( __( 'Choose an Album to generate shortcode', 'gallery-bank' ) ); ?></i>
		</div>
	</div>
</div>
<div id="ux_div_album_type">
	<div class="form-group">
		<label class="control-label">
			<?php echo esc_attr( __( 'Album Type', 'gallery-bank' ) ); ?> :
			<span class="required" aria-required="true">* ( <?php echo esc_attr( __( 'Premium Editions', 'gallery-bank' ) ); ?> )</span>
		</label>
		<select id="ux_ddl_choose_album_type" name="ux_ddl_choose_album_type" class="form-control">
			<option value="compact_album"><?php echo esc_attr( __( 'Compact Album', 'gallery-bank' ) ); ?></option>
			<option value="extended_album"><?php echo esc_attr( __( 'Extended Album', 'gallery-bank' ) ); ?></option>
		</select>
		<i class="controls-description"><?php echo esc_attr( __( 'Choose Album Type to display', 'gallery-bank' ) ); ?></i>
	</div>
	<div class="row">
		<div class="col-md-6">
			<div class="form-group">
			<label class="control-label">
				<?php echo esc_attr( __( 'Sort Albums By', 'gallery-bank' ) ); ?> :
				<span class="required" aria-required="true">* ( <?php echo esc_attr( __( 'Premium Editions', 'gallery-bank' ) ); ?> )</span>
			</label>
			<select name="ux_ddl_sort_albums_by" id="ux_ddl_sort_albums_by" class="form-control">
				<option value="album_title"><?php echo esc_attr( __( 'Title', 'gallery-bank' ) ); ?></option>
				<option value="upload_date"><?php echo esc_attr( __( 'Date', 'gallery-bank' ) ); ?></option>
				<option value="album_name"><?php echo esc_attr( __( 'Filename', 'gallery-bank' ) ); ?></option>
				<option value="file_type"><?php echo esc_attr( __( 'Type', 'gallery-bank' ) ); ?></option>
				<option value="sort_order" selected="selected"><?php echo esc_attr( __( 'Custom Order', 'gallery-bank' ) ); ?></option>
				<option value="random_order"><?php echo esc_attr( __( 'Random Order', 'gallery-bank' ) ); ?></option>
			</select>
			<i class="controls-description"><?php echo esc_attr( __( 'Sorting order to display Albums', 'gallery-bank' ) ); ?></i>
		</div>
	</div>
	<div class="col-md-6">
		<div class="form-group">
			<label class="control-label">
				<?php echo esc_attr( __( 'Order Albums By', 'gallery-bank' ) ); ?> :
				<span class="required" aria-required="true">* ( <?php echo esc_attr( __( 'Premium Editions', 'gallery-bank' ) ); ?> )</span>
			</label>
			<select name="ux_ddl_order_albums" id="ux_ddl_order_albums" class="form-control">
				<option value="sort_asc"><?php echo esc_attr( __( 'Ascending', 'gallery-bank' ) ); ?></option>
				<option value="sort_desc"><?php echo esc_attr( __( 'Descending', 'gallery-bank' ) ); ?></option>
			</select>
			<i class="controls-description"><?php echo esc_attr( __( 'Choose a particular Order for Albums', 'gallery-bank' ) ); ?></i>
		</div>
	</div>
	</div>
</div>
<div class="form-group">
	<label class="control-label">
		<?php echo esc_attr( __( 'Choose Layout', 'gallery-bank' ) ); ?> :
		<span class="required" aria-required="true">*</span>
	</label>
	<select id="ux_ddl_layout_type" name="ux_ddl_layout_type" class="form-control" onchange="show_hide_layout_changes_gallery_bank();">
		<option value="thumbnail_layout"><?php echo esc_attr( __( 'Thumbnail Layout', 'gallery-bank' ) ); ?></option>
		<option value="masonary_layout"><?php echo esc_attr( __( 'Masonry Layout', 'gallery-bank' ) ); ?></option>
		<option value="slideshow_layout" disabled="disabled" style="color:red;"><?php echo esc_attr( __( 'Slideshow Layout', 'gallery-bank' ) ); ?> ( <?php echo esc_attr( __( 'Premium Editions', 'gallery-bank' ) ); ?> )</option>
		<option value="image_browser_layout" disabled="disabled" style="color:red;"><?php echo esc_attr( __( 'Image Browser Layout', 'gallery-bank' ) ); ?> ( <?php echo esc_attr( __( 'Premium Editions', 'gallery-bank' ) ); ?> )</option>
		<option value="justified_grid_layout" disabled="disabled" style="color:red;"><?php echo esc_attr( __( 'Justified Grid Layout', 'gallery-bank' ) ); ?> ( <?php echo esc_attr( __( 'Premium Editions', 'gallery-bank' ) ); ?> )</option>
		<option value="blog_style_layout" disabled="disabled" style="color:red;"><?php echo esc_attr( __( 'Blog Style Layout', 'gallery-bank' ) ); ?> ( <?php echo esc_attr( __( 'Premium Editions', 'gallery-bank' ) ); ?> )</option>
	</select>
	<i class="controls-description"><?php echo esc_attr( __( 'Choose Layout Type to generate shortcode', 'gallery-bank' ) ); ?></i>
</div>
<div id="ux_div_image_browser_layout" style="display: none;">
	<div class="row">
		<div class="col-md-6">
			<div class="form-group">
					<label class="control-label">
							<?php echo esc_attr( __( 'Image Browser Dimensions (Max Width & Height)', 'gallery-bank' ) ); ?> :
							<span class="required" aria-required="true">* ( <?php echo esc_attr( __( 'Premium Editions', 'gallery-bank' ) ); ?> )</span>
					</label>
					<div class= "input-icon right">
							<input type="text" class="form-control custom-input-medium input-inline" name="ux_txt_width" id="ux_txt_width" value="800" maxlength="4" onkeypress="only_digits_gallery_bank(event);" onfocus="paste_prevent_gallery_bank(this.id);" onblur="set_thumbnail_dimension_in_shortcode_gallery_bank(this,<?php echo intval( $image_dimensions[0] ); ?>, '<?php echo esc_attr( __( 'Dimensions must be smaller or equal to the Global Options Dimensions', 'gallery-bank' ) ); ?>');" placeholder="<?php echo esc_attr( __( 'Please provide Max Width (px)', 'gallery-bank' ) ); ?>">
							<input type="text" class="form-control custom-input-medium input-inline" name="ux_txt_height" id="ux_txt_height" value="500" maxlength="4" onkeypress="only_digits_gallery_bank(event);" onfocus="paste_prevent_gallery_bank(this.id);"  onblur="set_thumbnail_dimension_in_shortcode_gallery_bank(this,<?php echo intval( $image_dimensions[1] ); ?>, '<?php echo esc_attr( __( 'Dimensions must be smaller or equal to the Global Options Dimensions', 'gallery-bank' ) ); ?>');" placeholder="<?php echo esc_attr( __( 'Please provide Max Height (px)', 'gallery-bank' ) ); ?>">
					</div>
					<i class="controls-description"><?php echo esc_attr( __( 'Set Maximum Width & Height for Browser Images', 'gallery-bank' ) ); ?></i>
			</div>
		</div>
		<div class="col-md-6">
			<div class="form-group">
				<label class="control-label">
					<?php echo esc_attr( __( 'Button Text', 'gallery-bank' ) ); ?> :
					<span class="required" aria-required="true">* ( <?php echo esc_attr( __( 'Premium Editions', 'gallery-bank' ) ); ?> )</span>
				</label>
				<select name="ux_ddl_button_text" id="ux_ddl_button_text" class="form-control">
					<option value="text"><?php echo esc_attr( __( 'Text', 'gallery-bank' ) ); ?></option>
					<option value="arrow"><?php echo esc_attr( __( 'Arrow', 'gallery-bank' ) ); ?></option>
				</select>
				<i class="controls-description"><?php echo esc_attr( __( 'Choose Button Layout', 'gallery-bank' ) ); ?></i>
			</div>
		</div>
	</div>
</div>
<div id="ux_div_justified_layout" style="display: none;">
	<div class="form-group">
		<label class="control-label">
			<?php echo esc_attr( __( 'Row Height (px)', 'gallery-bank' ) ); ?> :
			<span class="required" aria-required="true">* ( <?php echo esc_attr( __( 'Premium Editions', 'gallery-bank' ) ); ?> )</span>
		</label>
		<div class="input-icon right">
			<input type="text" class="form-control input-inline" name="ux_txt_row_height" id="ux_txt_row_height" placeholder="<?php echo esc_attr( __( 'Height (px)', 'gallery-bank' ) ); ?>"  maxlength="3" onkeypress="digits_with_dot_gallery_bank(event);" onfocus="paste_prevent_gallery_bank(this.id);" onblur="default_value_gallery_bank('#ux_txt_row_height', 150);" value="150">
		</div>
		<i class="controls-description"><?php echo esc_attr( __( 'Set Rows Height for Justified Grid Layout', 'gallery-bank' ) ); ?></i>
	</div>
</div>
<div id="ux_div_blog_style_layout" style="display: none;">
	<div class="form-group">
		<label class="control-label">
			<?php echo esc_attr( __( 'Blog Image Max Width (px)', 'gallery-bank' ) ); ?> :
			<span class="required" aria-required="true">*</span>
		</label>
		<input type="text" class="form-control" name="ux_txt_blog_style_thumbnail_width" id="ux_txt_blog_style_thumbnail_width" value="500" maxlength="4" onkeypress="only_digits_gallery_bank(event);" onfocus="paste_prevent_gallery_bank(this.id);" onblur="set_thumbnail_dimension_in_shortcode(this,<?php echo intval( $image_dimensions[0] ); ?>, '<?php echo esc_attr( __( 'Width must be less than or equal to Global Image Width', 'gallery-bank' ) ); ?>');" placeholder="<?php echo esc_attr( __( 'Please provide Max Width (px)', 'gallery-bank' ) ); ?>">
		<i class="controls-description"><?php echo esc_attr( __( 'Set Maximum Width for Blog Images', 'gallery-bank' ) ); ?></i>
	</div>
</div>
<div id="ux_div_sldeshow_layout" style="display: none;">
	<div class="row">
		<div class="col-md-6">
			<div class="form-group">
				<label class="control-label">
					<?php echo esc_attr( __( 'Slideshow Width (px)', 'gallery-bank' ) ); ?> :
					<span class="required" aria-required="true">*</span>
				</label>
				<div class="input-icon right">
					<input type="text" class="form-control input-inline" name="ux_txt_slideshow_width" id="ux_txt_slideshow_width" placeholder="<?php echo esc_attr( __( 'Width (px)', 'gallery-bank' ) ); ?>" onblur="set_thumbnail_dimension_in_shortcode(this,<?php echo intval( $image_dimensions[0] ); ?>, '<?php echo esc_attr( __( 'Width must be less than or equal to Global Image Width', 'gallery-bank' ) ); ?>');" maxlength="4" onkeypress="digits_with_dot_gallery_bank(event);" onfocus="paste_prevent_gallery_bank(this.id);" value="800">
				</div>
				<i class="controls-description"><?php echo esc_attr( __( 'Set Width for Thumbnails', 'gallery-bank' ) ); ?></i>
			</div>
		</div>
		<div class="col-md-6">
			<div class="form-group">
				<label class="control-label">
					<?php echo esc_attr( __( 'Slideshow Filmstrip', 'gallery-bank' ) ); ?> :
					<span class="required" aria-required="true">*</span>
				</label>
				<select name="ux_ddl_filmstrips" id="ux_ddl_filmstrips" class="form-control">
					<option value="show">Show</option>
					<option value="hide">Hide</option>
				</select>
				<i class="controls-description"><?php echo esc_attr( __( 'Choose Show from a drop-down to display or vice versa', 'gallery-bank' ) ); ?></i>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-md-6">
			<div class="form-group">
				<label class="control-label">
					<?php echo esc_attr( __( 'Control Buttons', 'gallery-bank' ) ); ?> :
					<span class="required" aria-required="true">*</span>
				</label>
					<select name="ux_ddl_control_button" id="ux_ddl_control_button" class="form-control">
						<option value="show">Show</option>
						<option value="hide">Hide</option>
					</select>
					<i class="controls-description"><?php echo esc_attr( __( 'Choose Show from a drop-down to display or vice versa', 'gallery-bank' ) ); ?></i>
			</div>
		</div>
		<div class="col-md-6">
			<div class="form-group">
				<label class="control-label">
					<?php echo esc_attr( __( 'Auto Play', 'gallery-bank' ) ); ?> :
					<span class="required" aria-required="true">*</span>
				</label>
				<select id="ux_ddl_autoplay" name="ux_ddl_autoplay" class="form-control">
					<option value="yes" selected>Yes</option>
					<option value="no">No</option>
				</select>
				<i class="controls-description"><?php echo esc_attr( __( 'Choose Yes to automatically play Carousel', 'gallery-bank' ) ); ?></i>
			</div>
		</div>
	</div>
	<div id="ux_div_time_interval">
		<div class="form-group">
			<label class="control-label">
				<?php echo esc_attr( __( 'Time Interval', 'gallery-bank' ) ); ?> :
				<span class="required" aria-required="true">*</span>
			</label>
			<input type="text" class="form-control" name="ux_txt_time_interval" id="ux_txt_time_interval" value="5" maxlength="3" onkeypress="only_digits_gallery_bank(event);" onblur="default_value_gallery_bank('#ux_txt_time_interval', 5);" onfocus="paste_prevent_gallery_bank(this.id);" placeholder="<?php echo esc_attr( __( 'Time Interval', 'gallery-bank' ) ); ?>">
			<i class="controls-description"><?php echo esc_attr( __( 'Set Time Interval for Auto Play', 'gallery-bank' ) ); ?></i>
		</div>
	</div>
</div>
<div class="row">
	<div class="col-md-6">
		<div class="form-group">
			<label class="control-label">
				<?php echo esc_attr( __( 'Alignment', 'gallery-bank' ) ); ?> :
				<span class="required" aria-required="true">*</span>
			</label>
			<select name="ux_ddl_alignment" id="ux_ddl_alignment" class="form-control">
				<option value="left">Left</option>
				<option value="center">Center</option>
				<option value="right">Right</option>
			</select>
			<i class="controls-description"><?php echo esc_attr( __( 'Set Horizontal Alignment inside Gallery', 'gallery-bank' ) ); ?></i>
		</div>
	</div>
	<div class="col-md-6">
		<div class="form-group">
			<label class="control-label">
			<?php echo esc_attr( __( 'Maximum Columns', 'gallery-bank' ) ); ?> :
			<span class="required" aria-required="true">*</span>
		</label>
		<input type="text" class="form-control" name="ux_txt_columns" id="ux_txt_columns" value="4" maxlength="3" onkeypress="only_digits_gallery_bank(event);" onfocus="paste_prevent_gallery_bank(this.id);" onblur="default_value_gallery_bank('#ux_txt_columns', 4);" placeholder="<?php echo esc_attr( __( 'Maximum number of Columns', 'gallery-bank' ) ); ?>">
		<i class="controls-description"><?php echo esc_attr( __( 'Maximum number of Columns', 'gallery-bank' ) ); ?></i>
	</div>
	</div>
</div>
<div class="row">
	<div class="col-md-6" id="ux_div_lightbox_type">
		<div class="form-group">
			<label class="control-label">
				<?php echo esc_attr( __( 'LightBox Type', 'gallery-bank' ) ); ?> :
				<span class="required" aria-required="true">*</span>
			</label>
			<select name="ux_ddl_lightbox_type" id="ux_ddl_lightbox_type" class="form-control">
				<option value="no_lightbox"><?php echo esc_attr( __( 'No LightBox', 'gallery-bank' ) ); ?></option>
				<option value="lightcase" style="color:red;" disabled="disabled"><?php echo esc_attr( __( 'Lightcase', 'gallery-bank' ) ); ?> ( <?php echo esc_attr( __( 'Premium Editions', 'gallery-bank' ) ); ?> )</option>
				<option value="fancy_box" style="color:red;" disabled="disabled"><?php echo esc_attr( __( 'Fancy Box', 'gallery-bank' ) ); ?> ( <?php echo esc_attr( __( 'Premium Editions', 'gallery-bank' ) ); ?> )</option>
				<option value="color_box" style="color:red;" disabled="disabled"><?php echo esc_attr( __( 'Color Box', 'gallery-bank' ) ); ?> ( <?php echo esc_attr( __( 'Premium Editions', 'gallery-bank' ) ); ?> )</option>
				<option value="foo_box_free_edition" selected="selected"><?php echo class_exists( 'fooboxV2' ) ? esc_attr( __( 'Foo Box Premium', 'gallery-bank' ) ) : esc_attr( __( 'Foo Box Free Edition', 'gallery-bank' ) ); ?></option>
				<option value="nivo_lightbox" style="color:red;" disabled="disabled"><?php echo esc_attr( __( 'Nivo LightBox', 'gallery-bank' ) ); ?> ( <?php echo esc_attr( __( 'Premium Editions', 'gallery-bank' ) ); ?> )</option>
			</select>
			<i class="controls-description"><?php echo esc_attr( __( 'Choose lightbox you want to use', 'gallery-bank' ) ); ?></i>
		</div>
	</div>
	<div class="col-md-6" id="ux_div_page_navigation">
		<div class="form-group">
			<label class="control-label">
			<?php echo esc_attr( __( 'Page Navigation', 'gallery-bank' ) ); ?> :
			<span class="required" aria-required="true">* ( <?php echo esc_attr( __( 'Premium Editions', 'gallery-bank' ) ); ?> )</span>
		</label>
		<select name="ux_ddl_page_navigation" id="ux_ddl_page_navigation" class="form-control" onchange="show_hide_control_gallery_bank('ux_ddl_page_navigation', 'ux_div_no_of_images');">
			<option value="disable">Disable</option>
			<option disabled="disabled" value="enable">Enable</option>
		</select>
		<i class="controls-description"><?php echo esc_attr( __( 'Add paging to a large Galleries or Albums', 'gallery-bank' ) ); ?></i>
	</div>
	</div>
</div>
<div class="form-group" id="ux_div_no_of_images" style="display:none;">
	<label class="control-label">
		<?php echo esc_attr( __( 'No. of Images Per Page', 'gallery-bank' ) ); ?> :
		<span class="required" aria-required="true">* ( <?php echo esc_attr( __( 'Premium Editions', 'gallery-bank' ) ); ?> )</span>
	</label>
	<input type="text" class="form-control" name="ux_txt_images_per_page" id="ux_txt_images_per_page" value="10" maxlength="3" onkeypress="only_digits_gallery_bank(event);" onfocus="paste_prevent_gallery_bank(this.id);" onblur="default_value_gallery_bank('#ux_txt_images_per_page', 10);" placeholder="<?php echo esc_attr( __( 'No. of Images Per Page', 'gallery-bank' ) ); ?>">
	<i class="controls-description"><?php echo esc_attr( __( 'Number of Images to display Per Page', 'gallery-bank' ) ); ?></i>
</div>
<div class="row" id="ux_album_title_description_div">
	<div class="col-md-6">
		<div class="form-group">
			<label class="control-label">
			<?php echo esc_attr( __( 'Album Title', 'gallery-bank' ) ); ?> :
			<span class="required" aria-required="true">* ( <?php echo esc_attr( __( 'Premium Editions', 'gallery-bank' ) ); ?> )</span>
		</label>
		<select id="ux_ddl_album_title" name="ux_ddl_album_title" class="form-control">
			<option value="show">Show</option>
			<option value="hide">Hide</option>
		</select>
		<i class="controls-description"><?php echo esc_attr( __( 'Choose Show from a drop-down to display or vice versa', 'gallery-bank' ) ); ?></i>
	</div>
	</div>
	<div class="col-md-6">
		<div class="form-group">
			<label class="control-label">
				<?php echo esc_attr( __( 'Album Description', 'gallery-bank' ) ); ?> :
				<span class="required" aria-required="true">* ( <?php echo esc_attr( __( 'Premium Editions', 'gallery-bank' ) ); ?> )</span>
			</label>
			<select name="ux_ddl_album_description" id="ux_ddl_album_description" class="form-control">
				<option value="show">Show</option>
				<option value="hide">Hide</option>
			</select>
			<i class="controls-description"><?php echo esc_attr( __( 'Choose Show from a drop-down to display or vice versa', 'gallery-bank' ) ); ?></i>
		</div>
	</div>
</div>
<div class="row">
	<div class="col-md-6">
		<div class="form-group">
			<label class="control-label">
				<?php echo esc_attr( __( 'Gallery Title', 'gallery-bank' ) ); ?> :
				<span class="required" aria-required="true">*</span>
			</label>
			<select id="ux_ddl_gallery_title" name="ux_ddl_gallery_title" class="form-control">
				<option value="show">Show</option>
				<option value="hide">Hide</option>
			</select>
			<i class="controls-description"><?php echo esc_attr( __( 'Choose Show from a drop-down to display or vice versa', 'gallery-bank' ) ); ?></i>
		</div>
	</div>
	<div class="col-md-6">
		<div class="form-group">
			<label class="control-label">
				<?php echo esc_attr( __( 'Gallery Description', 'gallery-bank' ) ); ?> :
				<span class="required" aria-required="true">*</span>
			</label>
			<select name="ux_ddl_gallery_description" id="ux_ddl_gallery_description" class="form-control">
				<option value="show">Show</option>
				<option value="hide">Hide</option>
			</select>
			<i class="controls-description"><?php echo esc_attr( __( 'Choose Show from a drop-down to display or vice versa', 'gallery-bank' ) ); ?></i>
		</div>
	</div>
</div>
<div class="row">
	<div class="col-md-6">
		<div class="form-group">
			<label class="control-label">
				<?php echo esc_attr( __( 'Thumbnail Title', 'gallery-bank' ) ); ?> :
				<span class="required" aria-required="true">*</span>
			</label>
			<select id="ux_ddl_thumbnail_title" name="ux_ddl_thumbnail_title" class="form-control">
				<option value="show">Show</option>
				<option value="hide">Hide</option>
			</select>
			<i class="controls-description"><?php echo esc_attr( __( 'Choose Show from a drop-down to display or vice versa', 'gallery-bank' ) ); ?></i>
		</div>
	</div>
	<div class="col-md-6">
		<div class="form-group">
			<label class="control-label">
				<?php echo esc_attr( __( 'Thumbnail Description', 'gallery-bank' ) ); ?> :
				<span class="required" aria-required="true">*</span>
			</label>
			<select name="ux_ddl_thumbnail_description" id="ux_ddl_thumbnail_description" class="form-control">
				<option value="show">Show</option>
				<option value="hide">Hide</option>
			</select>
			<i class="controls-description"><?php echo esc_attr( __( 'Choose Show from a drop-down to display or vice versa', 'gallery-bank' ) ); ?></i>
		</div>
	</div>
</div>
<div class="row">
	<div class="col-md-6">
		<div class="form-group">
			<label class="control-label">
			<?php echo esc_attr( __( 'Sort Images By', 'gallery-bank' ) ); ?> :
			<span class="required" aria-required="true">* ( <?php echo esc_attr( __( 'Premium Editions', 'gallery-bank' ) ); ?> )</span>
		</label>
		<select name="ux_ddl_sort_image_by" id="ux_ddl_sort_image_by" class="form-control">
			<option disabled="disabled" value="image_title"><?php echo esc_attr( __( 'Title', 'gallery-bank' ) ); ?></option>
			<option disabled="disabled" value="upload_date"><?php echo esc_attr( __( 'Date', 'gallery-bank' ) ); ?></option>
			<option disabled="disabled" value="image_name"><?php echo esc_attr( __( 'Filename', 'gallery-bank' ) ); ?></option>
			<option disabled="disabled" value="file_type"><?php echo esc_attr( __( 'Type', 'gallery-bank' ) ); ?></option>
			<option value="sort_order" selected="selected"><?php echo esc_attr( __( 'Custom Order', 'gallery-bank' ) ); ?></option>
			<option disabled="disabled" value="random_order"><?php echo esc_attr( __( 'Random Order', 'gallery-bank' ) ); ?></option>
		</select>
		<i class="controls-description"><?php echo esc_attr( __( 'Sorting order to display Images', 'gallery-bank' ) ); ?></i>
	</div>
	</div>
	<div class="col-md-6">
		<div class="form-group">
			<label class="control-label">
				<?php echo esc_attr( __( 'Order Images By', 'gallery-bank' ) ); ?> :
				<span class="required" aria-required="true">* ( <?php echo esc_attr( __( 'Premium Editions', 'gallery-bank' ) ); ?> )</span>
			</label>
			<select name="ux_ddl_order_images" id="ux_ddl_order_images" class="form-control">
				<option value="sort_asc"><?php echo esc_attr( __( 'Ascending', 'gallery-bank' ) ); ?></option>
				<option value="sort_desc" disabled="disabled"><?php echo esc_attr( __( 'Descending', 'gallery-bank' ) ); ?></option>
			</select>
			<i class="controls-description"><?php echo esc_attr( __( 'Choose particular Order for Images', 'gallery-bank' ) ); ?></i>
		</div>
	</div>
</div>
<div class="row">
	<div class="col-md-6">
		<div class="form-group">
			<label class="control-label">
				<?php echo esc_attr( __( 'Lazy Load', 'gallery-bank' ) ); ?> :
				<span class="required" aria-required="true">* ( <?php echo esc_attr( __( 'Premium Editions', 'gallery-bank' ) ); ?> )</span>
			</label>
			<select name="ux_ddl_lazy_load" id="ux_ddl_lazy_load" class="form-control">
				<option value="disable">Disable</option>
				<option disabled="disabled" value="enable">Enable</option>
			</select>
			<i class="controls-description"><?php echo esc_attr( __( 'Choose Enable from the drop-down to show or vice versa', 'gallery-bank' ) ); ?></i>
		</div>
	</div>
	<div class="col-md-6">
		<div class="form-group">
			<label class="control-label">
				<?php echo esc_attr( __( 'Filters', 'gallery-bank' ) ); ?> :
				<span class="required" aria-required="true">* ( <?php echo esc_attr( __( 'Premium Editions', 'gallery-bank' ) ); ?> )</span>
			</label>
			<select name="ux_ddl_filters" id="ux_ddl_filters" class="form-control">
				<option value="disable">Disable</option>
				<option disabled="disabled" value="enable">Enable</option>
			</select>
			<i class="controls-description"><?php echo esc_attr( __( 'Choose Enable from the drop-down to show or vice versa', 'gallery-bank' ) ); ?></i>
		</div>
	</div>
</div>
<div class="row">
	<div class="col-md-6">
		<div class="form-group">
			<label class="control-label">
				<?php echo esc_attr( __( 'Order By', 'gallery-bank' ) ); ?> :
				<span class="required" aria-required="true">* ( <?php echo esc_attr( __( 'Premium Editions', 'gallery-bank' ) ); ?> )</span>
			</label>
			<select name="ux_ddl_order_by" id="ux_ddl_order_by" class="form-control">
				<option value="disable">Disable</option>
				<option disabled="disabled" value="enable">Enable</option>
			</select>
			<i class="controls-description"><?php echo esc_attr( __( 'Choose Enable to allow users to change ordering option of displayed Images or not', 'gallery-bank' ) ); ?></i>
		</div>
	</div>
	<div class="col-md-6">
		<div class="form-group">
			<label class="control-label">
				<?php echo esc_attr( __( 'Search Box', 'gallery-bank' ) ); ?> :
				<span class="required" aria-required="true">* ( <?php echo esc_attr( __( 'Premium Editions', 'gallery-bank' ) ); ?> )</span>
			</label>
			<select name="ux_ddl_search_box" id="ux_ddl_search_box" class="form-control">
				<option value="disable">Disable</option>
				<option disabled="disabled" value="enable">Enable</option>
			</select>
			<i class="controls-description"><?php echo esc_attr( __( 'Choose Enable from the drop-down to show or vice versa', 'gallery-bank' ) ); ?></i>
		</div>
	</div>
</div>
	<div id="ux_div_special_effects">
		<div class="row">
			<div class="col-md-6">
				<div class="form-group">
				<label class="control-label">
					<?php echo esc_attr( __( 'Animation Effects', 'gallery-bank' ) ); ?> :
					<span class="required" aria-required="true">* ( <?php echo esc_attr( __( 'Premium Editions', 'gallery-bank' ) ); ?> )</span>
				</label>
				<select id="ux_ddl_animation_effect" name="ux_ddl_animation_effect" class="form-control">
					<option value="none">None</option>
					<optgroup label="Magic Effects">
						<option disabled="disabled" value="twisterInDown">Twister In Down</option>
						<option disabled="disabled" value="twisterInUp">Twister In Up</option>
						<option disabled="disabled" value="swap">Twister In Up</option>
					</optgroup>
					<optgroup label="Bling">
						<option disabled="disabled" value="puffIn">Puff In</option>
						<option disabled="disabled" value="vanishIn">Vanish In</option>
					</optgroup>
					<optgroup label="Static Effects">
						<option disabled="disabled" value="openDownLeftReturn">Open Down Left Return</option>
						<option disabled="disabled" value="openDownRightReturn">Open Down Right Return</option>
						<option disabled="disabled" value="openUpLeftReturn">Open Up Left Return</option>
						<option disabled="disabled" value="openUpRightReturn">Open Up Right Return</option>
					</optgroup>
					<optgroup label="Perspective">
						<option disabled="disabled" value="perspectiveDownReturn">Perspective Down Return</option>
						<option disabled="disabled" value="perspectiveUpReturn">Perspective Up Return</option>
						<option disabled="disabled" value="perspectiveLeftReturn">Perspective Left Return</option>
						<option disabled="disabled" value="perspectiveRightReturn">Perspective Right Return</option>
					</optgroup>
					<optgroup label="Slide">
						<option disabled="disabled" value="slideDownReturn">Slide Down Return</option>
						<option disabled="disabled" value="slideUpReturn">Slide Up Return</option>
						<option disabled="disabled" value="slideLeftReturn">Slide Left Return</option>
						<option disabled="disabled" value="slideRightReturn">Slide Right Return</option>
					</optgroup>
					<optgroup label="Math">
						<option disabled="disabled" value="swashIn">Swash In</option>
						<option disabled="disabled" value="foolishIn">Foolish In</option>
					</optgroup>
					<optgroup label="Tin">
						<option disabled="disabled" value="tinRightIn">Tin Right In</option>
						<option disabled="disabled" value="tinLeftIn">Tin Left In</option>
					</optgroup>
					<optgroup label="Boing">
						<option disabled="disabled" value="boingInUp">Boing In Up</option>
					</optgroup>
					<optgroup label="On the Space">
						<option disabled="disabled" value="spaceInUp">Space In Up</option>
						<option disabled="disabled" value="spaceInRight">Space In Right</option>
						<option disabled="disabled" value="spaceInDown">Space In Down</option>
						<option disabled="disabled" value="spaceInLeft">Space In Left</option>
					</optgroup>
					<optgroup label="Attention Seekers">
						<option disabled="disabled" value="bounce">Bounce</option>
						<option disabled="disabled" value="flash">Flash</option>
						<option disabled="disabled" value="pulse">Pulse</option>
						<option disabled="disabled" value="rubberBand">Rubber Band</option>
						<option disabled="disabled" value="shake">Shake</option>
						<option disabled="disabled" value="swing">Swing</option>
						<option disabled="disabled" value="tada">Tada</option>
						<option disabled="disabled" value="wobble">Wobble</option>
						<option disabled="disabled" value="jello">Jello</option>
					</optgroup>
					<optgroup label="Bouncing Entrances">
						<option disabled="disabled" value="bounceIn">Bounce In</option>
						<option disabled="disabled" value="bounceInDown">Bounce In Down</option>
						<option disabled="disabled" value="bounceInLeft">Bounce In Left</option>
						<option disabled="disabled" value="bounceInRight">Bounce In Right</option>
						<option disabled="disabled" value="bounceInUp">Bounce In Up</option>
					</optgroup>
					<optgroup label="Fading Entrances">
						<option value="fadeIn" selected="selected">Fade In</option>
						<option disabled="disabled" value="fadeInDown">Fade In Down</option>
						<option disabled="disabled" value="fadeInLeft">Fade In Left</option>
						<option disabled="disabled" value="fadeInLeftBig">Fade In Left Big</option>
						<option disabled="disabled" value="fadeInRight">Fade In Right</option>
						<option disabled="disabled" value="fadeInRightBig">Fade In Right Big</option>
						<option disabled="disabled" value="fadeInUp">Fade In Up</option>
					</optgroup>
					<optgroup label="Flippers">
						<option disabled="disabled" value="flip">Flip</option>
						<option disabled="disabled" value="flipInX">Flip In X</option>
						<option disabled="disabled" value="flipInY">Flip In Y</option>
					</optgroup>
					<optgroup label="Lightspeed">
						<option disabled="disabled" value="lightSpeedIn">Light Speed In</option>
					</optgroup>
					<optgroup label="Rotating Entrances">
						<option disabled="disabled" value="rotateIn">Rotate In</option>
						<option disabled="disabled" value="rotateInDownLeft">Rotate In Down Left</option>
						<option disabled="disabled" value="rotateInDownRight">Rotate In Down Right</option>
						<option disabled="disabled" value="rotateInUpLeft">Rotate In Up Left</option>
						<option disabled="disabled" value="rotateInUpRight">Rotate In Up Right</option>
					</optgroup>
					<optgroup label="Sliding Entrances">
						<option disabled="disabled" value="slideInUp">Slide In Up</option>
						<option disabled="disabled" value="slideInDown">Slide In Down</option>
						<option disabled="disabled" value="slideInLeft">Slide In Left</option>
						<option disabled="disabled" value="slideInRight">Slide In Right</option>
					</optgroup>
					<optgroup label="Zoom Entrances">
						<option disabled="disabled" value="zoomIn">Zoom In</option>
						<option disabled="disabled" value="zoomInDown">Zoom In Down</option>
						<option disabled="disabled" value="zoomInLeft">Zoom In Left</option>
						<option disabled="disabled" value="zoomInRight">Zoom In Right</option>
						<option disabled="disabled" value="zoomInUp">Zoom In Up</option>
					</optgroup>
					<optgroup label="Specials">
						<option disabled="disabled" value="rollIn">Roll In</option>
					</optgroup>
				</select>
				<i class="controls-description"><?php echo esc_attr( __( 'Choose Animation Effects for Galleries or Albums', 'gallery-bank' ) ); ?></i>
			</div>
		</div>
		<div class="col-md-6">
			<div class="form-group">
				<label class="control-label">
					<?php echo esc_attr( __( 'Special Effects', 'gallery-bank' ) ); ?> :
					<span class="required" aria-required="true">* ( <?php echo esc_attr( __( 'Premium Editions', 'gallery-bank' ) ); ?> )</span>
				</label>
				<select id="ux_ddl_special_effects" name="ux_ddl_special_effects" class="form-control">
					<option value="none">None</option>
					<option disabled="disabled" value="blur">Blur</option>
					<option disabled="disabled" value="sepia">Sepia</option>
					<option disabled="disabled" value="brightness">Brightness</option>
					<option disabled="disabled" value="contrast">Contrast</option>
					<option disabled="disabled" value="invert">Invert</option>
					<option disabled="disabled" value="saturate">Saturate</option>
					<option disabled="disabled" value="grayscale">GrayScale</option>
					<option disabled="disabled" value="hue-rotate">Hue Rotate</option>
				</select>
				<i class="controls-description"><?php echo esc_attr( __( 'Choose Special Effects for Galleries or Albums', 'gallery-bank' ) ); ?></i>
			</div>
		</div>
	</div>
</div>
<div class="line-separator"></div>
<input type="button" class="btn vivid-green" name="ux_btn_generate_shortcode" id="ux_btn_generate_shortcode" value="Add Shortcode" onclick="add_shortcode_block_gallery_bank()">
</div>
<script>
function only_digits_gallery_bank(event) {
	if (event.which !== 8 && event.which !== 0 && (event.which < 48 || event.which > 57)) {
		event.preventDefault();
	}
}
function shortcode_source_type_control_gallery_bank(control_id, gallery_id, album_id, album_control_id)
{
	var title = jQuery("#" + control_id).val();
	switch (title) {
		case "gallery":
			jQuery("#" + gallery_id).css("display", "block");
			jQuery("#" + album_id).css("display", "none");
			jQuery("#" + album_control_id).css("display", "none");
			jQuery("#ux_div_album_type").css("display", "none");
			break;
		case "album":
			jQuery("#" + album_id).css("display", "block");
			jQuery("#" + gallery_id).css("display", "none");
			jQuery("#" + album_control_id).css("display", "block");
			jQuery("#ux_div_album_type").css("display", "block");
			break;
		default:
			jQuery("#" + gallery_id).css("display", "none");
			jQuery("#" + album_id).css("display", "none");
			jQuery("#" + album_control_id).css("display", "none");
			jQuery("#ux_div_album_type").css("display", "none");
			break;
	}
}
function add_shortcode_block_gallery_bank(){
	var shortcode_content = '';
	var choose_type = jQuery("#ux_ddl_choose_type").val();
	var choose_gallery = jQuery("#ux_ddl_choose_gallery").val();
	var choose_album = jQuery("#ux_ddl_choose_album").val();
	var albums_type = jQuery("#ux_ddl_choose_album_type").val();
	var layout_type = jQuery("#ux_ddl_layout_type").val();
	if (choose_type === "gallery" && choose_gallery === "")
	{
		alert(<?php echo wp_json_encode( __( 'Please choose at least one Gallery to Proceed!', 'gallery-bank' ) ); ?>);
	} else if (choose_type === "album" || (layout_type != "thumbnail_layout" && layout_type != "masonary_layout"))
	{
		alert(<?php echo wp_json_encode( __( 'This feature is available only in Premium Editions! Kindly Purchase to unlock it!', 'gallery-bank' ) ); ?>);
	} else
	{
		var source_id = choose_gallery;
		var sort_images_by = jQuery("#ux_ddl_sort_image_by").val();
		var order_images_by = jQuery("#ux_ddl_order_images").val();
		var gallery_title = jQuery("#ux_ddl_gallery_title").val();
		var gallery_description = jQuery("#ux_ddl_gallery_description").val();
		var thumbnail_title = jQuery("#ux_ddl_thumbnail_title").val();
		var thumbnail_description = jQuery("#ux_ddl_thumbnail_description").val();
		var animation_effects = jQuery("#ux_ddl_animation_effect").val();
		var special_effects = jQuery("#ux_ddl_special_effects").val();
		var filters = jQuery("#ux_ddl_filters").val();
		var lazy_load = jQuery("#ux_ddl_lazy_load").val();
		var search_box = jQuery("#ux_ddl_search_box").val();
		var order_by = jQuery("#ux_ddl_order_by").val();
		var gallery_bank_album_description = "";
		var gallery_bank_album_sort_albums = "";
		var gallery_bank_album_title = "";
		var album_type = "";
		var album_title = "";
		var album_description = "";
		var album_order = "";
		var album_order_by = "";
		switch (layout_type) {
			case "thumbnail_layout":
				var thumbnail_alignment = jQuery("#ux_ddl_alignment").val();
				var images_per_page = jQuery("#ux_txt_images_per_page").val();
				var page_navigation = jQuery("#ux_ddl_page_navigation").val();
				var images_per_page_layout = jQuery("#ux_ddl_page_navigation").val() === "enable" ? "images_per_page=\"" + images_per_page + "\" " : "";
				var columns = jQuery("#ux_txt_columns").val();
				var lightbox_type = jQuery("#ux_ddl_lightbox_type").val();
				var shortcode_content = "[gallery_bank source_type=\"" + choose_type + "\" id=\"" + source_id + "\" layout_type=\"thumbnail_layout\" " + album_type + "alignment=\"" + thumbnail_alignment +
				"\" lightbox_type=\"" + lightbox_type + "\" order_images_by=\"" + order_images_by + "\" sort_images_by=\"" + sort_images_by + "\" " + album_title + album_description + album_order + album_order_by + "gallery_title=\"" + gallery_title +
				"\" gallery_description=\"" + gallery_description + "\" thumbnail_title=\"" + thumbnail_title +
				"\" thumbnail_description=\"" + thumbnail_description + "\" filters=\"" + filters + "\" lazy_load=\"" + lazy_load +
				"\" search_box=\"" + search_box + "\" order_by=\"" + order_by + "\" columns=\"" + columns +
				"\" page_navigation=\"" + page_navigation + "\" " + images_per_page_layout + "animation_effects=\"" + animation_effects + "\" " + "special_effects=\"" + special_effects + "\"][/gallery_bank]";
				break;
			case "masonary_layout":
				var thumbnail_alignment = jQuery("#ux_ddl_alignment").val();
				var images_per_page = jQuery("#ux_txt_images_per_page").val();
				var page_navigation = jQuery("#ux_ddl_page_navigation").val();
				var images_per_page_layout = jQuery("#ux_ddl_page_navigation").val() === "enable" ? "images_per_page=\"" + images_per_page + "\" " : "";
				var columns = jQuery("#ux_txt_columns").val();
				var lightbox_type = jQuery("#ux_ddl_lightbox_type").val();
				var shortcode_content = "[gallery_bank source_type=\"" + choose_type + "\" id=\"" + source_id + "\" layout_type=\"masonry_layout\" " + album_type +
				" alignment=\"" + thumbnail_alignment + "\" lightbox_type=\"" + lightbox_type +
				"\" order_images_by=\"" + order_images_by + "\" sort_images_by=\"" + sort_images_by +
				"\" " + album_title + album_description + album_order + album_order_by + "gallery_title=\"" + gallery_title +
				"\" gallery_description=\"" + gallery_description + "\" thumbnail_title=\"" + thumbnail_title +
				"\" thumbnail_description=\"" + thumbnail_description + "\" filters=\"" + filters +
				"\" lazy_load=\"" + lazy_load + "\" search_box=\"" + search_box +
				"\" order_by=\"" + order_by + "\" columns=\"" + columns + "\" page_navigation=\"" + page_navigation +
				"\" " + images_per_page_layout + " animation_effects=\"" + animation_effects + "\" " + "special_effects=\"" + special_effects + "\"][/gallery_bank]";
				break;
			}
			let block = wp.blocks.createBlock( 'core/paragraph', { content: shortcode_content } );
			wp.data.dispatch( 'core/editor' ).insertBlocks( block );
	}
}
function show_hide_layout_changes_gallery_bank() {
	var title = jQuery("#ux_ddl_layout_type").val();
	switch (title) {
		case "thumbnail_layout":
			jQuery("#ux_div_sldeshow_layout").css("display", "none");
			jQuery("#ux_div_image_browser_layout").css("display", "none");
			jQuery("#ux_div_justified_layout").css("display", "none");
			jQuery("#ux_div_blog_style_layout").css("display", "none");
			jQuery("#ux_div_lightbox_type").css("display", "block");
			jQuery( "#ux_div_page_navigation" ).removeClass( "col-md-12" );
			jQuery( "#ux_div_page_navigation" ).addClass( "col-md-6" );
			break;
		case "masonary_layout":
			jQuery("#ux_div_sldeshow_layout").css("display", "none");
			jQuery("#ux_div_image_browser_layout").css("display", "none");
			jQuery("#ux_div_justified_layout").css("display", "none");
			jQuery("#ux_div_blog_style_layout").css("display", "none");
			jQuery("#ux_div_lightbox_type").css("display", "block");
			jQuery( "#ux_div_page_navigation" ).removeClass( "col-md-12" );
			jQuery( "#ux_div_page_navigation" ).addClass( "col-md-6" );
			break;
		case "slideshow_layout":
			jQuery("#ux_div_sldeshow_layout").css("display", "block");
			jQuery("#ux_div_image_browser_layout").css("display", "none");
			jQuery("#ux_div_justified_layout").css("display", "none");
			jQuery("#ux_div_blog_style_layout").css("display", "none");
			jQuery("#ux_div_lightbox_type").css("display", "none");
			jQuery( "#ux_div_page_navigation" ).removeClass( "col-md-6" );
			jQuery( "#ux_div_page_navigation" ).addClass( "col-md-12" );
			break;
		case "image_browser_layout":
			jQuery("#ux_div_image_browser_layout").css("display", "block");
			jQuery("#ux_div_justified_layout").css("display", "none");
			jQuery("#ux_div_blog_style_layout").css("display", "none");
			jQuery("#ux_div_sldeshow_layout").css("display", "none");
			jQuery("#ux_div_lightbox_type").css("display", "none");
			jQuery( "#ux_div_page_navigation" ).removeClass( "col-md-6" );
			jQuery( "#ux_div_page_navigation" ).addClass( "col-md-12" );

			break;
		case "justified_grid_layout":
			jQuery("#ux_div_justified_layout").css("display", "block");
			jQuery("#ux_div_blog_style_layout").css("display", "none");
			jQuery("#ux_div_image_browser_layout").css("display", "none");
			jQuery("#ux_div_sldeshow_layout").css("display", "none");
			jQuery("#ux_div_lightbox_type").css("display", "block");
			jQuery( "#ux_div_page_navigation" ).removeClass( "col-md-12" );
			jQuery( "#ux_div_page_navigation" ).addClass( "col-md-6" );
			break;
		case "blog_style_layout":
			jQuery("#ux_div_blog_style_layout").css("display", "block");
			jQuery("#ux_div_justified_layout").css("display", "none");
			jQuery("#ux_div_image_browser_layout").css("display", "none");
			jQuery("#ux_div_sldeshow_layout").css("display", "none");
			jQuery("#ux_div_lightbox_type").css("display", "block");
			jQuery( "#ux_div_page_navigation" ).removeClass( "col-md-12" );
			jQuery( "#ux_div_page_navigation" ).addClass( "col-md-6" );
			break;
	}
}
function paste_prevent_gallery_bank(control_id) {
	jQuery("#" + control_id).on("paste", function (e) {
		e.preventDefault();
	});
}
function only_digits_gallery_bank(event) {
	if (event.which !== 8 && event.which !== 0 && (event.which < 48 || event.which > 57)) {
		event.preventDefault();
	}
}
function set_thumbnail_dimension_in_shortcode_gallery_bank(control, image_dimension, message) {
	jQuery(control).val() === "" || jQuery(control).val() === 0 ? jQuery(control).val(image_dimension) : "";
	if (parseInt(jQuery(control).val()) > parseInt(image_dimension)) {
			alert(message);
			jQuery(control).val(image_dimension);
	}
}
function set_thumbnail_dimension_in_shortcode(control, image_dimension, message) {
	jQuery(control).val() === "" || jQuery(control).val() === 0 ? jQuery(control).val(image_dimension) : "";
	if (parseInt(jQuery(control).val()) > parseInt(image_dimension)) {
		var shortCutFunction = jQuery("#toastTypeGroup_error input:checked").val();
		$toast = toastr[shortCutFunction](message);
		jQuery(control).val(image_dimension);
	}
}
function digits_with_dot_gallery_bank(event) {
	if (event.which === 8 || event.keyCode === 37 || event.keyCode === 39 || event.keyCode === 46 || event.keyCode === 9 || event.keyCode === 110) {
		return true;
	} else if (event.which !== 46 && (event.which < 48 || event.which > 57)) {
		event.preventDefault();
	}
}
function default_value_gallery_bank(id, value) {
	if (jQuery(id).val() === "") {
		jQuery(id).val(value);
	}
}
function show_hide_control_gallery_bank(control_id, div_id) {
	var title = jQuery("#" + control_id).val();
	switch (title) {
		case "true":
			jQuery("#" + div_id).css("display", "block");
			break;
		case "show":
		case "enable":
			jQuery("#" + div_id).css("display", "block");
			break;
		case "hide":
		case "disable":
			jQuery("#" + div_id).css("display", "none");
			break;
		default:
			jQuery("#" + div_id).css("display", "none");
			break;
	}
}
jQuery(document).ready(function(){
	shortcode_source_type_control_gallery_bank("ux_ddl_choose_type", "ux_div_gallery", "ux_div_album", "ux_album_title_description_div");
});
</script>
