<?php
/**
 * Version 0.0.3
 *
 * This file is just an example you can copy it to your theme and modify it to fit your own needs.
 * Watch the paths though.
 */
// Exit if accessed directly
if ( !defined( 'ABSPATH' ) ) exit;
// Don't duplicate me!
if ( !class_exists( 'Interico_Demo_Data_Importer' ) ) {
	get_template_part( '/inc/radium-one-click-demo-install/importer/radium', 'importer' ); //load admin theme data importer
	class Interico_Demo_Data_Importer extends Radium_Theme_Importer {
		/**
		 * Set framewok
		 *
		 * options that can be used are 'default', 'radium' or 'optiontree'
		 *
		 * @since 0.0.3
		 *
		 * @var string
		 */
		public $theme_options_framework = 'radium';
		/**
		 * Holds a copy of the object for easy reference.
		 *
		 * @since 0.0.1
		 *
		 * @var object
		 */
		private static $instance;
		/**
		 * Set the key to be used to store theme options
		 *
		 * @since 0.0.2
		 *
		 * @var string
		 */
		public $theme_option_name       = 'my_theme_options_name'; //set theme options name here (key used to save theme options). Optiontree option name will be set automatically
		/**
		 * Set name of the theme options file
		 *
		 * @since 0.0.2
		 *
		 * @var string
		 */
		public $theme_options_file_name = 'theme_options.txt';
		/**
		 * Set name of the widgets json file
		 *
		 * @since 0.0.2
		 *
		 * @var string
		 */
		public $widgets_file_name       = 'widgets.json';
		/**
		 * Set name of the content file
		 *
		 * @since 0.0.2
		 *
		 * @var string
		 */
		public $content_demo_file_name  = 'content.xml';
		/**
		 * Holds a copy of the widget settings
		 *
		 * @since 0.0.2
		 *
		 * @var string
		 */
		public $widget_import_results;
		/**
		 * Constructor. Hooks all interactions to initialize the class.
		 *
		 * @since 0.0.1
		 */
		public function __construct() {
			$this->demo_files_path = trailingslashit( get_template_directory() . '/inc/demo-files/' );
			self::$instance = $this;
			parent::__construct();
		}
		/**
		 * Add menus - the menus listed here largely depend on the ones registered in the theme
		 *
		 * @since 0.0.1
		 */
		public function set_demo_menus(){

			// Menus to Import and assign - you can remove or add as many as you want
			$main_menu     = get_term_by( 'name', 'Main Menu', 'nav_menu' );
			$services_menu = get_term_by( 'name', 'Services' , 'nav_menu' );
			$about_menu    = get_term_by( 'name', 'About Us', 'nav_menu' );

			set_theme_mod( 'nav_menu_locations', array(
					'primary' => $main_menu->term_id,
					'services' => $services_menu->term_id,
					'about' => $about_menu->term_id
				)
			);
			$this->flag_as_imported['menus'] = true;

			// Empty default breadcrumbs seperator
			add_option( 'bcn_options', array( 'hseparator' => '' ) );

			// Assign correct front and blog pages
			$front_page_id = get_page_by_title( 'Front Page' )->ID;
			$blog_page_id  = get_page_by_title( 'Blog' )->ID;	

			update_option( 'show_on_front', 'page' );
			update_option( 'page_on_front', $front_page_id );
			update_option( 'page_for_posts', $blog_page_id );

			// Set the theme's logo in the customizer
			set_theme_mod( 'tc_logo_img', get_template_directory_uri() . '/img/logo-white.png' );
			set_theme_mod( 'tc_logo_img_2x', get_template_directory_uri() . '/img/logo-white2x.png' );

			// Set the footer logo in the customizer
			set_theme_mod( 'tc_logo_footer_img', get_template_directory_uri() . '/img/logo-white.png' );
			set_theme_mod( 'tc_logo_footer_img_2x', get_template_directory_uri() . '/img/logo-white2x.png' );

			// Set page top content area background image
			set_theme_mod( 'background_image', get_template_directory_uri() . '/img/bg/vertical-grid-5.png' );

		}

	}
	new Interico_Demo_Data_Importer;
}