<?php

/*
*  Advanced Custom Fields Lite
*
*  @description: this is an example of a functions.php file and demonstrates how to use ACF Lite in your theme
*  @Author: Elliot Condon
*  @Author URI: http://www.elliotcondon.com/
*  @Copyright: Elliot Condon
*/
// define( 'ACF_LITE', true );

require_once THEME_ABSPATH . '/advanced-custom-fields/acf.php' ;
/**
 *  Install Add-ons
 *  
 *  The following code will include all 4 premium Add-Ons in your theme.
 *  Please do not attempt to include a file which does not exist. This will produce an error.
 *  
 *  All fields must be included during the 'acf/register_fields' action.
 *  Other types of Add-ons (like the options page) can be included outside of this action.
 *  
 *  The following code assumes you have a folder 'add-ons' inside your theme.
 *
 *  IMPORTANT
 *  Add-ons may be included in a premium theme as outlined in the terms and conditions.
 *  However, they are NOT to be included in a premium / free plugin.
 *  For more information, please read http://www.advancedcustomfields.com/terms-conditions/
 */ 

// Fields 
add_action('acf/register_fields', 'my_register_fields');

function my_register_fields()
{
	include_once THEME_ABSPATH . '/acf-addons/acf-repeater/repeater.php' ;
	//include_once('add-ons/acf-gallery/gallery.php');
	include_once THEME_ABSPATH . '/acf-addons/nggallery-field.php' ;
}

// Options Page 
//include_once( 'add-ons/acf-options-page/acf-options-page.php' );


/**
 *  Register Field Groups
 *
 *  The register_field_group function accepts 1 array which holds the relevant data to register a field group
 *  You may edit the array as you see fit. However, this may result in errors if the array is not compatible with ACF
 */

if(function_exists("register_field_group")){
	
}
