<?php
/** 33F190D04D71-0B067FFC03A6-1810FA8DBECA
 *
 * Phishing folder detect
 * check CMS core folders for extra folders (based on compare cms dumps files)
 *
 * Version: 1.0
 * Date: 8 Nov 2016
 */
define('MAIN_SERVER_URL', 'http://www.siteguarding.com/_get_file.php?file=');

error_reporting(0);
set_time_limit(0);

	// Load Funcs class
	if (file_exists($scan_path.'__class.sg.funcs.php')) require_once($scan_path.'__class.sg.funcs.php');
	else die('<p class="err b">Class __class.sg.funcs.php is not loaded </p>');
    
    /*
    Returned values:
    
    $scan_path
    DIRSEP
    
    styles
    
    */

    //$scan_path = '/home/clickfor/public_html/';

    $scanner = new SiteGuarding_files();
    $scanner->scan_path = $scan_path;
    $scanner->remove_slash = true;
    //$scanner->short_path = false;
    $scanner->exclude_folders = array(
        '/webanalyze/backups/',
        '/webanalyze/firewall/',
        '/webanalyze/assets/',
        
        '/cache/',
        '/plugins/',
        '/tmp/',

        '/wp-content/plugins/',
        '/wp-content/themes/',
        '/wp-content/uploads/',
        '/wp-content/updraft/',
        '/wp-content/wflogs/',
        '/wp-content/cache/',
        '/wp-content/wfcache/'
    );
    $scanner->filter_ext = true;

$show = intval($_GET['show']);
if ($show > 0) $show = true;
else $show = false; 

$scanner->show_output = $show; 




echo '<p>Scan path: '.$scan_path.'</p>';

$cms_info = SGFUNC_DetectCMS($scan_path);
echo 'Detected CMS: ';
if ($cms_info['cms'] != '') echo $cms_info['cms'].' ver.: '.$cms_info['version'];
else echo '<span class="err">not detected</span>';
if ($cms_info['dumpname'] != '') echo "<br>".'Dumpname: '.$cms_info['dumpname'];
echo "<br><br>";



$compare_dump = 1; 
if ($compare_dump == 1) $compare_dumpname = trim($cms_info['dumpname']); 



$host = $_SERVER['HTTP_HOST'];
//$link_style = ($host == 'localhost') ? 'visibility:visible;' : 'visibility:hidden;';
$link_style = 'visibility:visible;';

if ($compare_dump == 1 && $compare_dumpname != '') 
{
    // Get dump array from this server
    $local_dumpfile = 'dump_'.$compare_dumpname.'.json';
    echo '<p>Try to load dump file ['.$local_dumpfile.'] from the local server '.$compare_dumpname.'</p>';
    if (file_exists($scan_path.DIRSEP.$local_dumpfile))
    {
        $handle = fopen($scan_path.DIRSEP.$local_dumpfile, "r");
        $dump_json = fread($handle, filesize($scan_path.DIRSEP.$local_dumpfile));
        fclose($handle);
        $files_db_original = (array)json_decode($dump_json, true);
        if ($files_db_original === false) {echo '<p class="err b">Can\'t decode dump content to array</p>'; exit;}
        
        echo '<p class="ok b">Dump content '.$compare_dumpname.' - loaded from '.$scan_path.DIRSEP.$local_dumpfile.'</p>';
    }
    else {
    	// Get dump array from SG server
        echo '<p class="err">Dump file '.$scan_path.DIRSEP.$local_dumpfile.' is absent.</p>';
        
        echo '<p>Try to load dump file ['.$compare_dumpname.'] from the SiteGuarding server.</p>';
        
    	$dump_json = trim(SGFUNC_GetRemote_file_content(MAIN_SERVER_URL.'dumps&dumpname='.$compare_dumpname.'&time='.time(), false, true));
		//$dump_json = trim(file_get_contents(""));
    	if ($dump_json == '') {echo '<p class="err b">Can\'t get dump content from SiteGuarding server for '.$compare_dumpname.'</p>'; exit;}
    	$files_db_original = (array)json_decode($dump_json, true);
    	if ($files_db_original === false) {echo '<p class="err b">Can\'t decode dump content to array</p>'; exit;}
        
        echo '<p class="ok b">Dump content '.$compare_dumpname.' - loaded from SiteGuarding server.</p>';
    }
}








if ($compare_dump == 1)
{
    $dirs = array();
    $dump_dirs = array();
    
    
    $files = $scanner->GetFileList($show);
    foreach ($files as $file)
    {
        $dir = dirname($file);
        
        // Strict exclude
        if (
            $dir == 'webanalyze'
        ) continue;
        
        // Exclude by pattern
        if (
            stripos($dir, 'administrator/components/com_') !== false ||
            stripos($dir, 'components/com_') !== false ||
            stripos($dir, 'administrator/modules/mod_') !== false ||
            stripos($dir, 'modules/mod_') !== false ||
            stripos($dir, 'media/com_') !== false
        ) continue;
        
        $dirs[$dir] += 1;
    }
    
    foreach ($files_db_original as $file_original_name => $file_original_size)
    {
        $dump_dirs[dirname($file_original_name)] = 1;
    }
    
    echo '<h4>Results:</h4>';
    
    $i = 0;
    foreach ($dirs as $server_folder => $tmp_i)
    {
        if (!isset($dump_dirs[$server_folder]))
        {
            if ( 
                stripos($server_folder, 'wp-admin') !== false ||
                stripos($server_folder, 'wp-includes') !== false ||
                
                stripos($server_folder, 'libraries') !== false ||
                stripos($server_folder, 'cli') !== false ||
                stripos($server_folder, 'includes/') !== false ||
                stripos($server_folder, 'language/') !== false 
            ) $highlight_class = 'color_highlight_red';
            else $highlight_class = '';
            
            //echo '<p class="row '.$highlight_class.'">'.DIRSEP.$server_folder.DIRSEP.' ['.$tmp_i.' files]'.'</p>';
            echo '<p class="row"><span class="'.$highlight_class.'">'.DIRSEP.$server_folder.DIRSEP.'</span></p>';
            $i++;
        }
    }
    
    echo '<h4>Finished (total: '.$i.')</h4>';
    

}



?>